package com.jiuqi.syntax;

import java.util.ArrayList;

public final class FunctionParams extends ArrayList
{
    public FunctionParam getParam(final int index) {
        return super.get(index);
    }
    
    public boolean add(final FunctionParam param) {
        return super.add(param);
    }
    
    public FunctionParam addParam(final String name, final String title, final int type) {
        return this.addParam(name, title, type, false, false);
    }
    
    public FunctionParam addParam(final String name, final String title, final int type, final boolean canOmit) {
        return this.addParam(name, title, type, canOmit, false);
    }
    
    public FunctionParam addParam(final String name, final String title, final int type, final boolean canOmit, final boolean isSign) {
        final FunctionParam param = new FunctionParam();
        param.name = name;
        param.title = title;
        param.type = type;
        param.canOmit = canOmit;
        param.isSign = isSign;
        this.add(param);
        return param;
    }
}
